Bug 125230 - IDE bus lockup with CD drive, kernel bug in fs/buffer.c:1214
IDE bus lockup with CD drive, kernel bug in fs/buffer.c:1214
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-03 16:20 EDT by Deron Meranda
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-24 00:41:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Deron Meranda 2004-06-03 16:20:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
A CD drive frequently locks up after being left idle.  The eject
button does not work.  And all commands that attempt to access it will
lock up for a long period of time in a "disk sleep" state, until the
kernel outputs a bug report to syslog, a few lines of which read:

Jun  3 15:34:46 deron kernel: kernel BUG at fs/buffer.c:1214!
Jun  3 15:34:46 deron kernel: invalid operand: 0000 [#1]

This is bus ide1, which has two devices, a DVD-ROM and a CD-RW.  The
CD-RW is the one which seems to lock up first, but afterwards both
devices are inoperable.  This system worked fine under FC1.  A soft
reboot also clears up the problem.  This is a stock FC2 system with
SMP kernel.

There may be a related buf report on LKML?
    http://lkml.org/lkml/2004/5/19/191

Additional system details and complete syslog output are in additional
info below.

Version-Release number of selected component (if applicable):
2.6.5-1.358smp

How reproducible:
Sometimes

Steps to Reproduce:
1. Let system set idle some indeterminate period of time
2. Try ejecting CD tray
3.
    

Actual Results:  Tray won't eject.  Launching any command which
attempts to access the device will lock up.

Additional info:

Output of syslog during one of these events:
------------CUT------------
Jun  3 15:32:30 deron kernel: hdd: irq timeout: status=0xd0 { Busy }
Jun  3 15:32:30 deron kernel: hdd: irq timeout: error=0x00
Jun  3 15:32:30 deron kernel: hdd: DMA disabled
Jun  3 15:33:00 deron kernel: hdd: ATAPI reset timed-out, status=0x80
Jun  3 15:33:00 deron kernel: hdc: DMA disabled
Jun  3 15:33:30 deron kernel: ide1: reset timed-out, status=0x80
Jun  3 15:33:37 deron kernel: hdd: status timeout: status=0x80 { Busy }
Jun  3 15:33:37 deron kernel: hdd: status timeout:
error=0x01IllegalLengthIndication
Jun  3 15:33:37 deron kernel: hdd: drive not ready for command
Jun  3 15:34:07 deron kernel: hdd: ATAPI reset timed-out, status=0x80
Jun  3 15:34:39 deron kernel: ide1: reset timed-out, status=0x80
Jun  3 15:34:44 deron kernel: udf: registering filesystem
Jun  3 15:34:46 deron kernel: udf: bad block size (2048)
Jun  3 15:34:46 deron kernel: ------------[ cut here ]------------
Jun  3 15:34:46 deron kernel: kernel BUG at fs/buffer.c:1214!
Jun  3 15:34:46 deron kernel: invalid operand: 0000 [#1]
Jun  3 15:34:46 deron kernel: SMP
Jun  3 15:34:46 deron kernel: CPU:    0
Jun  3 15:34:46 deron kernel: EIP:    0060:[<021508d3>]    Not tainted
Jun  3 15:34:46 deron kernel: EFLAGS: 00010286   (2.6.5-1.358smp)
Jun  3 15:34:46 deron kernel: EIP is at __getblk_slow+0x67/0xcb
Jun  3 15:34:46 deron kernel: eax: fffffe00   ebx: 00000000   ecx:
00004000   edx: 00004000
Jun  3 15:34:46 deron kernel: esi: 00000000   edi: 15225c80   ebp:
00000000   esp: 20517e1c
Jun  3 15:34:46 deron kernel: ds: 007b   es: 007b   ss: 0068
Jun  3 15:34:46 deron kernel: Process mount (pid: 18248,
threadinfo=20517000 task=2a994750)
Jun  3 15:34:46 deron kernel: Stack: 00008000 00000000 00008000
00000000 15225c80 00000000 02150bd6 00000000
Jun  3 15:34:46 deron kernel:        00008000 053c6c00 13084b38
13084b04 02150c17 00000000 021892fd 00000000
Jun  3 15:34:46 deron kernel:        00000000 00000010 00000000
00000000 00000000 00000000 00000000 00000000
Jun  3 15:34:46 deron kernel: Call Trace:
Jun  3 15:34:46 deron kernel:  [<02150bd6>] __getblk+0x25/0x2b
Jun  3 15:34:46 deron kernel:  [<02150c17>] __bread+0x9/0x1e
Jun  3 15:34:46 deron kernel:  [<021892fd>] isofs_fill_super+0xfe/0x5f5
Jun  3 15:34:46 deron kernel:  [<0217b900>] read_kcore+0x33a/0x379
Jun  3 15:34:46 deron kernel:  [<021541d4>] get_sb_bdev+0xdb/0x118
Jun  3 15:34:46 deron kernel:  [<02195860>]
selinux_sb_copy_data+0x37/0x166
Jun  3 15:34:46 deron kernel:  [<0218a20a>] isofs_get_sb+0xe/0x11
Jun  3 15:34:46 deron kernel:  [<021891ff>] isofs_fill_super+0x0/0x5f5
------------END CUT-------------


The ide1 bus contains these two drives (DMA is disabled on both):

/proc/ide/ide1/hdc  (DVD drive, /dev/cdrom)
  model: HL-DT-STDVD-ROM GDR8162B
  settings:
name            value      min     max     mode
----            -----      ---     ---     ----
current_speed   66         0       70      rw
dsc_overlap     1          0       1       rw
ide-scsi        0          0       1       rw
init_speed      66         0       70      rw
io_32bit        0          0       3       rw
keepsettings    0          0       1       rw
nice1           1          0       1       rw
number          2          0       3       rw
pio_mode        write-only 0       255     w
unmaskirq       0          0       1       rw
using_dma       0          0       1       rw


/proc/ide/ide1/hdd  (CD-RW drive, /dev/cdrom1)
  model: SAMSUNG CD-R/RW SW-252S
  settings:
name            value      min     max     mode
----            -----      ---     ---     ----
current_speed   66         0       70      rw
dsc_overlap     1          0       1       rw
ide-scsi        0          0       1       rw
init_speed      66         0       70      rw
io_32bit        0          0       3       rw
keepsettings    0          0       1       rw
nice1           1          0       1       rw
number          3          0       3       rw
pio_mode        write-only 0       255     w
unmaskirq       0          0       1       rw
using_dma       0          0       1       rw


The /proc/ide/drivers:
ide-floppy version 0.99.newide
ide-cdrom version 4.61
ide-disk version 1.18
Comment 1 Deron Meranda 2004-06-03 16:22:48 EDT
Sorry, a few lines of the syslog output were truncated in my
copy-paste.  Here's the remaining lines which follow those already in
the description.

Jun  3 15:34:46 deron kernel:  [<0215439c>] do_kern_mount+0x8a/0x127
Jun  3 15:34:46 deron kernel:  [<02166533>] do_add_mount+0x55/0x148
Jun  3 15:34:46 deron kernel:  [<02166835>] do_mount+0x178/0x190
Jun  3 15:34:46 deron kernel:  [<0214c795>] get_user_size+0x30/0x57
Jun  3 15:34:46 deron kernel:  [<02166b89>] sys_mount+0x94/0x109
Jun  3 15:34:46 deron kernel:
Jun  3 15:34:46 deron kernel: Code: 0f 0b be 04 00 92 2b 02 83 c9 ff
41 89 e8 d3 e0 3d ff 0f 00
Comment 2 Deron Meranda 2004-10-04 17:36:43 EDT
Just wanted to post an update to say that I have not seen this bug
recur on any newer kernels.  This bug was reported for 2.6.5-1.358smp.
 I'm now running 2.6.8-1.521smp.  This may be fixed?

Note You need to log in before you can comment on or make changes to this bug.